Page MenuHomePhabricator

efl-mono: Add efl_mono.dll.config file to run tests from within tree
ClosedPublic

Authored by lauromoura on Dec 28 2018, 10:07 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
lauromoura created this revision.Dec 28 2018, 10:07 AM
lauromoura requested review of this revision.Dec 28 2018, 10:07 AM

I do not know what problem this patch is trying to solve, and how it is solving it.
Therefore, I don't know how to test if this patch does anything useful :)

Can you explain all that? If you put all that in the commit message, it will be easily available in the future to anyone wondering what that script does.

bu5hm4n requested changes to this revision.Jan 2 2019, 1:29 AM

Mhmm i think this will break with meson --layout flat

As then every .so will be located in the root build dir. What do you think about the following:

<configuration>
  <dllmap dll=\"eina\" target=\"@EINA@\"/>
  <dllmap dll=\"efl\" target=\"@EFL@\"/>
  <dllmap dll=\"ecore\" target=\"@ECORE@\"/>
  <dllmap dll=\"eo\" target=\"@EO@\"/>
  <dllmap dll=\"evas\" target=\"@EVAS@\"/>
  <dllmap dll=\"eldbus\" target=\"@ELDBUS@\"/>
  <dllmap dll=\"elementary\" target=\"@ELEMENTARY@\"/>
</configuration>

and on the meson side:

conf_data = configuration_data()
conf_data.set('EINA', eina_lib.full_path())
[...]
configure_file(input : 'efl_mono.dll.config.in',
               output : 'efl_mono.dll.config',
               configuration : conf_data)
This revision now requires changes to proceed.Jan 2 2019, 1:29 AM

@bu5hm4n This also needs some configure magic to make autotools work, right?

@bu5hm4n This also needs some configure magic to make autotools work, right?

It is already in autotools, it slipped through when i ported it to meson ...

@bu5hm4n I guess your solution is more correct. Do you want to push that instead of this?

Regards,

lauromoura updated this revision to Diff 18211.Jan 3 2019, 1:06 PM

Update to pull path from meson variables and use meson's configure_data instead of explicit script.

felipealmeida accepted this revision.Jan 3 2019, 1:22 PM

@bu5hm4n Let us know if this is OK

bu5hm4n accepted this revision.Jan 3 2019, 1:25 PM

Looks good to me :)

This revision is now accepted and ready to land.Jan 3 2019, 1:25 PM
Closed by commit rEFLa8e23cc4005b: efl-mono: Add efl_mono.dll.config file to run tests from within tree (authored by felipealmeida, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 4 2019, 3:07 AM
This revision was automatically updated to reflect the committed changes.